-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
	-- load the building and business file
	C_RunScript("scripts\\maps\\apartmentrim.lua");
	-- load the initialprefs file
	C_RunScript("scripts\\scenario3\\initialpref.lua");
	Game.SetObjective(OBJECTIVE_SALES, 100, 0);

--				No	Day	Hour Min

	if Game.GetDifficulty() == DIFFICULTY_EASY then
		RegisterPrompt(1, 1, 09, 30);
		RegisterPrompt(2, 1, 11, 00);
		RegisterPrompt(3, 1, 13, 10);
		RegisterPrompt(4, 1, 16, 05);
		RegisterPrompt(5, 1, 18, 15);
		RegisterPrompt(6, 1, 23, 00);
		RegisterPrompt(7, 2, 00, 00);
		RegisterPrompt(8, 2, 02, 00);
		RegisterPrompt(9, 2, 06, 00);
	end;
end;

-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
end;


function EVENT_CreatePrompt(a)
  PromptHeading = ID_TIP_PROMPT_3_TITLE_1 + ((a-1)*2);
	body = PromptHeading+1;

	if a == 1 then
		Interface.CreatePrompt(PromptHeading, body, 1 ); --"Tip - Building", "In order to make sales you need to build a business. To build a business, make sure you have a city block selected and then click on the 'Build' button.", 1);
	elseif a == 2 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - Grouping Buildings", "Building businesses on the same city block makes the area more appealing to the citizens when they decide to go shopping.", 1);
	elseif a == 3 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - How Many Sales?", "Cycle through the topics in the 'Player Comparison Panel' until you come to 'Sales'. This will show you how many sales you have made so far.", 1);
	elseif a == 4 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - Night Time", "If you haven't done so already, now would be a good time to think about building up an area for night shopping. The citizens will need entertainment tonight.", 1);
	elseif a == 5 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - Day and Night", "Usually it is best to put daytime stores on one city block and nighttime entertainment on another. This allows you to get more stores open at the same time of day - increasing the chance of citizens being drawn to the area.", 1);
	elseif a == 6 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - Efficiency", "You can check on how well your stores are doing by selecting the block that they are on, then, under 'Information', you can click on 'Efficiency'. This shows how many units the store has sold compared to how many the store can hold.", 1);
	elseif a == 7 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - Stores are Closed", "All of your stores are now closed and we have moved on to the next day. You can check on yesterday's numbers by clicking the 'Today/Last Full Day' toggle wherever you see it in the 'Multi Purpose Panel'.", 1);
	elseif a == 8 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - Time Flies", "Unless you want to tinker with your businesses some more, you can speed up time by holding down Shift Q. Release the keys to get back to normal time.", 1);
	elseif a == 9 then
		Interface.CreatePrompt(PromptHeading, body, 1); --"Tip - 6:00am Payout", "At six o'clock every morning, all of your stores are restocked, pay their land rent and utility bills. Your bank balance will drop when this happens.", 1);
	end
	Game.Pause()
end;

-------------------------------------------------------------------------------------------------
-- HourlyUpdate event. Called everytime the game calendar ticks another hour over.
-------------------------------------------------------------------------------------------------
function CATCHEVENT_HourlyUpdate(a) -- takes the current hour as an argument
end;

function CATCHEVENT_InterfacePromptDismiss() -- takes the current hour as an argument
	Game.Unpause()
end;
